apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: proxmox-users-secrets-external
  namespace: proxmox-users
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store
  target:
    name: proxmox-users-secrets
    creationPolicy: Owner
  data:
    - secretKey: GITLAB_TOKEN
      remoteRef:
        key: PROXMOX_USERS_GITLAB_TOKEN
    - secretKey: PROXMOX_URL
      remoteRef:
        key: PROXMOX_USERS_URL
    - secretKey: PROXMOX_TOKEN
      remoteRef:
        key: PROXMOX_USERS_TOKEN
